import { z } from "zod";
import { NON_ZERO_TX_HASH, XRP_ADDRESS } from "../../util/protocol.constants";

export const payloadSchema = z.object({
    endpoint: z.string(),
    data: z.string()
})

export const xrp_address_schema = z.string().regex(XRP_ADDRESS, "Not a valid XRP address")
export const xrp_transaction_hash_schema = z.string().regex(NON_ZERO_TX_HASH, "Not a valid XRP transaction hash")